Index: protocols/nogaim.c
===================================================================
--- protocols/nogaim.c	(revision 00a52700d1dbab0736c7ace63c8be2f17b08b8f6)
+++ protocols/nogaim.c	(revision 69cb62335f8bbe46b2879aabc5fdbe288891b02b)
@@ -208,5 +208,5 @@
 
 	if( ( g_strcasecmp( set_getstr( &gc->irc->set, "strip_html" ), "always" ) == 0 ) ||
-	    ( ( gc->flags & OPT_CONN_HTML ) && set_getint( &gc->irc->set, "strip_html" ) ) )
+	    ( ( gc->flags & OPT_CONN_HTML ) && set_getbool( &gc->irc->set, "strip_html" ) ) )
 		strip_html( text );
 	
@@ -353,10 +353,10 @@
 	irc_t *irc = gc->irc;
 	
-	if( set_getint( &irc->set, "debug" ) && 0 ) /* This message is too useless */
+	if( set_getbool( &irc->set, "debug" ) && 0 ) /* This message is too useless */
 		serv_got_crap( gc, "Receiving user add from handle: %s", handle );
 	
 	if( user_findhandle( gc, handle ) )
 	{
-		if( set_getint( &irc->set, "debug" ) )
+		if( set_getbool( &irc->set, "debug" ) )
 			serv_got_crap( gc, "User already exists, ignoring add request: %s", handle );
 		
@@ -446,5 +446,5 @@
 		u->realname = g_strdup( realname );
 		
-		if( ( gc->flags & OPT_LOGGED_IN ) && set_getint( &gc->irc->set, "display_namechanges" ) )
+		if( ( gc->flags & OPT_LOGGED_IN ) && set_getbool( &gc->irc->set, "display_namechanges" ) )
 			serv_got_crap( gc, "User `%s' changed name to `%s'", u->nick, u->realname );
 	}
@@ -509,5 +509,5 @@
 		else
 		{
-			if( set_getint( &gc->irc->set, "debug" ) || g_strcasecmp( set_getstr( &gc->irc->set, "handle_unknown" ), "ignore" ) != 0 )
+			if( set_getbool( &gc->irc->set, "debug" ) || g_strcasecmp( set_getstr( &gc->irc->set, "handle_unknown" ), "ignore" ) != 0 )
 			{
 				serv_got_crap( gc, "serv_got_update() for handle %s:", handle );
@@ -568,5 +568,5 @@
 	
 	/* LISPy... */
-	if( ( set_getint( &gc->irc->set, "away_devoice" ) ) &&		/* Don't do a thing when user doesn't want it */
+	if( ( set_getbool( &gc->irc->set, "away_devoice" ) ) &&		/* Don't do a thing when user doesn't want it */
 	    ( u->online ) &&						/* Don't touch offline people */
 	    ( ( ( u->online != oo ) && !u->away ) ||			/* Voice joining people */
@@ -591,5 +591,5 @@
 		if( g_strcasecmp( h, "ignore" ) == 0 )
 		{
-			if( set_getint( &irc->set, "debug" ) )
+			if( set_getbool( &irc->set, "debug" ) )
 				serv_got_crap( gc, "Ignoring message from unknown handle %s", handle );
 			
@@ -598,5 +598,5 @@
 		else if( g_strncasecmp( h, "add", 3 ) == 0 )
 		{
-			int private = set_getint( &irc->set, "private" );
+			int private = set_getbool( &irc->set, "private" );
 			
 			if( h[3] )
@@ -620,5 +620,5 @@
 	
 	if( ( g_strcasecmp( set_getstr( &gc->irc->set, "strip_html" ), "always" ) == 0 ) ||
-	    ( ( gc->flags & OPT_CONN_HTML ) && set_getint( &gc->irc->set, "strip_html" ) ) )
+	    ( ( gc->flags & OPT_CONN_HTML ) && set_getbool( &gc->irc->set, "strip_html" ) ) )
 		strip_html( msg );
 
@@ -660,5 +660,5 @@
 	user_t *u;
 	
-	if( !set_getint( &gc->irc->set, "typing_notice" ) )
+	if( !set_getbool( &gc->irc->set, "typing_notice" ) )
 		return;
 	
@@ -682,5 +682,5 @@
 	GList *ir;
 	
-	if( set_getint( &gc->irc->set, "debug" ) )
+	if( set_getbool( &gc->irc->set, "debug" ) )
 		serv_got_crap( gc, "You were removed from conversation %d", (int) id );
 	
@@ -728,5 +728,5 @@
 	
 	if( ( g_strcasecmp( set_getstr( &gc->irc->set, "strip_html" ), "always" ) == 0 ) ||
-	    ( ( gc->flags & OPT_CONN_HTML ) && set_getint( &gc->irc->set, "strip_html" ) ) )
+	    ( ( gc->flags & OPT_CONN_HTML ) && set_getbool( &gc->irc->set, "strip_html" ) ) )
 		strip_html( msg );
 	
@@ -761,5 +761,5 @@
 	g_free( s );
 	
-	if( set_getint( &gc->irc->set, "debug" ) )
+	if( set_getbool( &gc->irc->set, "debug" ) )
 		serv_got_crap( gc, "Creating new conversation: (id=%d,handle=%s)", id, handle );
 	
@@ -775,5 +775,5 @@
 	int me = 0;
 	
-	if( set_getint( &b->gc->irc->set, "debug" ) )
+	if( set_getbool( &b->gc->irc->set, "debug" ) )
 		serv_got_crap( b->gc, "User %s added to conversation %d", handle, b->id );
 	
@@ -809,5 +809,5 @@
 	int me = 0;
 	
-	if( set_getint( &b->gc->irc->set, "debug" ) )
+	if( set_getbool( &b->gc->irc->set, "debug" ) )
 		serv_got_crap( b->gc, "User %s removed from conversation %d (%s)", handle, b->id, reason ? reason : "" );
 	
@@ -887,5 +887,5 @@
 	/* Horror.... */
 	
-	if( st != set_getint( &irc->set, "away_devoice" ) )
+	if( st != set_getbool( &irc->set, "away_devoice" ) )
 	{
 		char list[80] = "";
@@ -1007,5 +1007,5 @@
 		{
 			gc->acc->prpl->set_away( gc, s, away );
-			if( set_getint( &gc->irc->set, "debug" ) )
+			if( set_getbool( &gc->irc->set, "debug" ) )
 				serv_got_crap( gc, "Setting away state to %s", s );
 		}
